Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class Dataseries

    java.lang.Object
      de.grogra.pf.data.Dataseries

    public final class Dataseries

extends java.lang.Object

A `Dataseries` represents a row or a column of a `Dataset`. I.e., is consists of a series of `Datacell`s.

Author:
  Ole Kniemeyer

Method Summary
`Dataseries` | `add(java.lang.Number v)`
`Dataseries` | `add(java.lang.Number x, java.lang.Number y)`
`Dataseries` | `add(java.lang.Number x, java.lang.Number y, java.lang.Number z)`
`Datacell` | `addCell()`
`Datacell` | `getCell(int i)` Returns the `i`-th cell in this dataseries.
`Dataseries` | `operator$shl(double[] v)`
`Dataseries` | `operator$shl(java.lang.Number v)`
`Dataseries` | `set(int i, java.lang.Number v)` Sets the value of cell `i` to `v`.
`Dataseries` | `set(int i, java.lang.Number x, java.lang.Number y)` Sets the value of cell `i` to the pair `(x, y)`.
`Dataseries` | `set(int i, java.lang.Number x, java.lang.Number y, java.lang.Number z)` Sets the value of cell `i` to the triple `(x, y, z)`.
`Dataseries` | `setText(int i, java.lang.String v)` Sets the value of cell `i` to `v`.
`Dataseries` | `setX(int i, java.lang.Number v)` Sets the x-value of cell `i` to `v`.
`Dataseries` | `setY(int i, java.lang.Number v)` Sets the y-value of cell `i` to `v`.
`Dataseries` | `setZ(int i, java.lang.Number v)` Sets the z-value of cell `i` to `v`.
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### add

    public Dataseries add(java.lang.Number v)

### add

    public Dataseries add(java.lang.Number x,
                          java.lang.Number y)

### add

    public Dataseries add(java.lang.Number x,
                          java.lang.Number y,
                          java.lang.Number z)

### addCell

    public Datacell addCell()

### getCell

    public Datacell getCell(int i)

  Returns the `i`-th cell in this dataseries. If such a cell does not yet exist, it is created implicitly.

  Parameters:
    `i` - index of cell
  Returns:
    `i`-th cell of dataseries

### operator$shl

    public Dataseries operator$shl(double[] v)

### operator$shl

    public Dataseries operator$shl(java.lang.Number v)

### set

    public Dataseries set(int i,
                          java.lang.Number v)

  Sets the value of cell `i` to `v`.

  Parameters:
    `i` - cell index
    `v` - new value
  Returns:
    this dataseries
  See Also:
    `Datacell.set(Number)`

### set

    public Dataseries set(int i,
                          java.lang.Number x,
                          java.lang.Number y)

  Sets the value of cell `i` to the pair `(x, y)`.

  Parameters:
    `i` - cell index
    `x` - new x-value
    `y` - new y-value
  Returns:
    this dataseries
  See Also:
    `Datacell.set(Number, Number)`

### set

    public Dataseries set(int i,
                          java.lang.Number x,
                          java.lang.Number y,
                          java.lang.Number z)

  Sets the value of cell `i` to the triple `(x, y, z)`.

  Parameters:
    `i` - cell index
    `x` - new x-value
    `y` - new y-value
    `z` - new z-value
  Returns:
    this dataseries
  See Also:
    `Datacell.set(Number, Number, Number)`

### setText

    public Dataseries setText(int i,
                              java.lang.String v)

  Sets the value of cell `i` to `v`.

  Parameters:
    `i` - cell index
    `v` - new text value
  Returns:
    this dataseries
  See Also:
    `Datacell.setText(String)`

### setX

    public Dataseries setX(int i,
                           java.lang.Number v)

  Sets the x-value of cell `i` to `v`.

  Parameters:
    `i` - cell index
    `v` - new x-value
  Returns:
    this dataseries
  See Also:
    `Datacell.setX(Number)`

### setY

    public Dataseries setY(int i,
                           java.lang.Number v)

  Sets the y-value of cell `i` to `v`.

  Parameters:
    `i` - cell index
    `v` - new y-value
  Returns:
    this dataseries
  See Also:
    `Datacell.setY(Number)`

### setZ

    public Dataseries setZ(int i,
                           java.lang.Number v)

  Sets the z-value of cell `i` to `v`.

  Parameters:
    `i` - cell index
    `v` - new z-value
  Returns:
    this dataseries
  See Also:
    `Datacell.setZ(Number)`

### size

    public int size()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD